package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkOrderGetRequest struct {
	/*
	   系统自动生成     */
	IdListQueryReq *domain.AlibabaWdkOrderGetIdListQueryRequest `json:"id_list_query_req,omitempty" required:"false" `
}

func (s *AlibabaWdkOrderGetRequest) SetIdListQueryReq(v domain.AlibabaWdkOrderGetIdListQueryRequest) *AlibabaWdkOrderGetRequest {
	s.IdListQueryReq = &v
	return s
}

func (req *AlibabaWdkOrderGetRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.IdListQueryReq != nil {
		paramMap["id_list_query_req"] = util.ConvertStruct(*req.IdListQueryReq)
	}
	return paramMap
}

func (req *AlibabaWdkOrderGetRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
